Bug 1294054 - Review Request: libiwpm - iWarp Port Mapper userspace daemon
Review Request: libiwpm - iWarp Port Mapper userspace daemon
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1315609
  Show dependency treegraph
 
Reported: 2015-12-24 05:11 EST by Honggang LI
Modified: 2016-07-29 05:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-13 16:23:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nhorman: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Honggang LI 2015-12-24 05:11:59 EST
Spec URL: http://people.redhat.com/honli/.59c34642aa6b53b4ad66c8790ee7eeeb/libiwpm.spec
SRPM URL: http://people.redhat.com/honli/.59c34642aa6b53b4ad66c8790ee7eeeb/libiwpm-1.0.3-1.fc23.src.rpm

Description: iWarp Port Mapper userspace daemon
libiwpm provides a userspace service for iWarp drivers to claim
tcp ports through the standard socket interface.

Fedora Account System Username: honli
Comment 1 Antonio Trande 2016-01-06 05:10:15 EST
@honli

Are you in the packager group?
I don't see you username in the Fedora Packager GIT Commit Group.
Comment 2 Honggang LI 2016-01-09 08:20:39 EST
Hi, Antonio
Thank you for your remind. But I will drop the request as the spec file is not good enough. I will reopen it if necessary.
Comment 3 Honggang LI 2016-03-09 04:22:24 EST
I will update the spec and src pkg, so reopen it.
Comment 4 Honggang LI 2016-03-14 08:43:43 EDT
Updated spec, src and fedora-review result.

http://people.redhat.com/honli/.1a2b94a96fca6431781d71ae9ce255ef/libiwpm.spec
http://people.redhat.com/honli/.1a2b94a96fca6431781d71ae9ce255ef/libiwpm-1.0.3-6.fc23.src.rpm
http://people.redhat.com/honli/.1a2b94a96fca6431781d71ae9ce255ef/review.txt

koji scratch rebuild task link:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13342251


Please note as the upstream AUTHORS file is blank, so I ignored the rpmlint error message.
-------
libiwpm.x86_64: E: zero-length /usr/share/doc/libiwpm/AUTHORS
-------

Please review, thanks
Comment 5 Neil Horman 2016-03-16 13:08:55 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
<NH> Instead of just adding the COPYING file to the srpm, you need to propose
that this be done upstream.  All the source files seem to agree with it, so its
likely ok, but we shouldn't carry a COPYING file thats not in the upstream
project if we can help it.

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 16 files have
     unknown license. Detailed output of licensecheck in
     /home/nhorman/1294054-libiwpm/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
<NH> Add a comment to the SPEC file indicating that the binaries are licensed as
GPLv2 in the %files section

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[!]: Package is named according to the Package Naming Guidelines.
Technically I think this passes, but it seems a bit odd to call the package
libiwpm when there are no libraries in the package.  Perhaps rename the package
to iwpmd?

[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in libiwpm-
     debuginfo
[x]: Package functions as described.
[x ]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x ]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.15 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.15
INFO: Mock Version: 1.2.15
Finish: chroot init
INFO: installing package(s): /home/nhorman/1294054-libiwpm/results/libiwpm-1.0.3-6.fc25.x86_64.rpm /home/nhorman/1294054-libiwpm/results/libiwpm-debuginfo-1.0.3-6.fc25.x86_64.rpm /home/nhorman/1294054-libiwpm/results/libiwpm-debuginfo-1.0.3-6.fc25.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=false install /home/nhorman/1294054-libiwpm/results/libiwpm-1.0.3-6.fc25.x86_64.rpm /home/nhorman/1294054-libiwpm/results/libiwpm-debuginfo-1.0.3-6.fc25.x86_64.rpm /home/nhorman/1294054-libiwpm/results/libiwpm-debuginfo-1.0.3-6.fc25.x86_64.rpm --setopt=tsflags=nocontexts
WARNING: unable to delete selinux filesystems (/tmp/mock-selinux-plugin.z_7qrs7v): [Errno 1] Operation not permitted: '/tmp/mock-selinux-plugin.z_7qrs7v'


Rpmlint
-------
Checking: libiwpm-1.0.3-6.fc25.x86_64.rpm
          libiwpm-debuginfo-1.0.3-6.fc25.x86_64.rpm
          libiwpm-1.0.3-6.fc25.src.rpm
libiwpm.x86_64: W: spelling-error Summary(en_US) iWarp -> i Warp, warp, antiwar
libiwpm.x86_64: W: spelling-error Summary(en_US) userspace -> user space, user-space, users pace
libiwpm.x86_64: W: summary-not-capitalized C iWarp Port Mapper userspace daemon
libiwpm.x86_64: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
libiwpm.x86_64: W: spelling-error %description -l en_US iWarp -> i Warp, warp, antiwar
libiwpm.x86_64: W: spelling-error %description -l en_US tcp -> pct, tsp, tip
libiwpm.x86_64: E: zero-length /usr/share/doc/libiwpm/AUTHORS
libiwpm.x86_64: W: no-manual-page-for-binary iwpmd
libiwpm.src: W: spelling-error Summary(en_US) iWarp -> i Warp, warp, antiwar
libiwpm.src: W: spelling-error Summary(en_US) userspace -> user space, user-space, users pace
libiwpm.src: W: summary-not-capitalized C iWarp Port Mapper userspace daemon
libiwpm.src: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
libiwpm.src: W: spelling-error %description -l en_US iWarp -> i Warp, warp, antiwar
libiwpm.src: W: spelling-error %description -l en_US tcp -> pct, tsp, tip
3 packages and 0 specfiles checked; 1 errors, 13 warnings.

Requires
--------
libiwpm-debuginfo (rpmlib, GLIBC filtered):

libiwpm (rpmlib, GLIBC filtered):
    /bin/sh
    config(libiwpm)
    libc.so.6()(64bit)
    libnl-3.so.200()(64bit)
    libnl-3.so.200(libnl_3)(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)
    systemd



Provides
--------
libiwpm-debuginfo:
    libiwpm-debuginfo
    libiwpm-debuginfo(x86-64)

libiwpm:
    config(libiwpm)
    libiwpm
    libiwpm(x86-64)



Source checksums
----------------
https://www.openfabrics.org/downloads/libiwpm/libiwpm-1.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 482758a0104e707542c745faabb5e8fa31cc4b814bbfcb25c1e610386620085b
  CHECKSUM(SHA256) upstream package : 482758a0104e707542c745faabb5e8fa31cc4b814bbfcb25c1e610386620085b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1294054
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


I prefixed my comments with <NH>.  I think if you take care of the licensing and the name issue, we should be good to go.
Comment 6 Honggang LI 2016-03-17 10:15:55 EDT
(In reply to Neil Horman from comment #5)
> Generic:
> [!]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> <NH> Instead of just adding the COPYING file to the srpm, you need to propose
> that this be done upstream.  All the source files seem to agree with it, so
> its likely ok, but we shouldn't carry a COPYING file thats not in the upstream
> project if we can help it.
> 

I had sent an email to upstream maintainer about the blank COPYING and AUTHORS file. Hope "Tatyana E. Nikolova" <tatyana.e.nikolova@intel.com> will populate COPYING with a appropriate license.

> [!]: If the package is under multiple licenses, the licensing breakdown
>      must be documented in the spec.
> <NH> Add a comment to the SPEC file indicating that the binaries are
> licensed as GPLv2 in the %files section

Will fix it as required. 

> [x]: Package consistently uses macros (instead of hard-coded directory
>      names).
> [!]: Package is named according to the Package Naming Guidelines.
> Technically I think this passes, but it seems a bit odd to call the package
> libiwpm when there are no libraries in the package.  Perhaps rename the
> package to iwpmd?

Yes, the name is odd. It dose not include any library. And that is why we do not install the header files. As it had been imported into RHEL-6.8 with name "libiwpm", I'd prefer to keep the name.

> I prefixed my comments with <NH>.  I think if you take care of the licensing
> and the name issue, we should be good to go.
Comment 7 Neil Horman 2016-03-18 07:28:13 EDT
ok, if its in RHEL with this name, I agree we should keep it for fedora.  As such, please docuement the licence for each binary, and provide a new spec and rpm, and we'll be good.  Thanks!
Comment 9 Neil Horman 2016-03-18 15:52:48 EDT
looks good, ack

I've sponsored your for fedora packager, so you should be able to complete this review and get the dist-git area created for it
Comment 10 Gwyn Ciesla 2016-03-21 10:36:17 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/libiwpm
Comment 11 Honggang LI 2016-03-21 11:01:16 EDT
(In reply to Jon Ciesla from comment #10)
> Package request has been approved:
> https://admin.fedoraproject.org/pkgdb/package/rpms/libiwpm

http://koji.fedoraproject.org/koji/packageinfo?packageID=22195

Why f24 is missing? Thanks
Comment 12 Honggang LI 2016-03-21 12:06:27 EDT
(In reply to Neil Horman from comment #9)
> looks good, ack
> 
> I've sponsored your for fedora packager, so you should be able to complete
> this review and get the dist-git area created for it

https://koji.fedoraproject.org/koji/buildinfo?buildID=747269
https://koji.fedoraproject.org/koji/buildinfo?buildID=747257
https://koji.fedoraproject.org/koji/buildinfo?buildID=747251

libiwpm-1.0.3-7.fc23/24/25 had been built.
Comment 13 Fedora Update System 2016-03-21 21:19:40 EDT
libiwpm-1.0.3-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a3f502d59e
Comment 14 Fedora Update System 2016-03-21 21:20:52 EDT
libiwpm-1.0.3-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3c2a194fd2
Comment 15 Fedora Update System 2016-03-22 12:55:36 EDT
libiwpm-1.0.3-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a3f502d59e
Comment 16 Fedora Update System 2016-03-22 17:31:30 EDT
libiwpm-1.0.3-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3c2a194fd2
Comment 17 Fedora Update System 2016-04-13 16:23:56 EDT
libiwpm-1.0.3-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-04-13 17:36:40 EDT
libiwpm-1.0.3-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.